package org.jk.system.domain;


import cn.idev.excel.annotation.ExcelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.jk.common.mybatis.core.domain.BaseEntity;

import java.util.List;

/**
 * 审核配置对象 document_audit_config
 *
 * @author takai
 * @date 2025-05-29
 */
public class DocumentAuditConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;


    /** 部门ID */
    @ExcelProperty(value = "部门ID")
    private Long deptId;

    /** 项目编号 */
    private String projectId;

    /** 审核节点 */
    @ExcelProperty(value = "审核节点")
    private Integer nodeOrder;

    /** 审核人 */
    @ExcelProperty(value = "审核人")
    private String approver;

    /** 审核链 1/2 */
    @ExcelProperty(value = "审核链")
    private String chain;

    private String userName;

    private List<String> approverList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public List<String> getApproverList() {
        return approverList;
    }

    public void setApproverList(List<String> approverList) {
        this.approverList = approverList;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setNodeOrder(Integer nodeOrder)
    {
        this.nodeOrder = nodeOrder;
    }

    public Integer getNodeOrder()
    {
        return nodeOrder;
    }
    public void setApprover(String approver)
    {
        this.approver = approver;
    }

    public String getApprover()
    {
        return approver;
    }
    public void setChain(String chain)
    {
        this.chain = chain;
    }

    public String getChain()
    {
        return chain;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("projectId", getProjectId())
            .append("nodeOrder", getNodeOrder())
            .append("approver", getApprover())
            .append("chain", getChain())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
